diff scripts/halt_board.sh @ 462:d9a4fc5357e7 prerelease

Path-relativeness of scripts has been improved. At least update_board will work when double clicked
author Giulio Moro <giuliomoro@yahoo.it>
date Mon, 20 Jun 2016 14:09:43 +0100
parents 99de323c13b3
children
line wrap: on
line diff
--- a/scripts/halt_board.sh	Mon Jun 20 13:49:48 2016 +0100
+++ b/scripts/halt_board.sh	Mon Jun 20 14:09:43 2016 +0100
@@ -2,7 +2,9 @@
 #
 # This script halts the BeagleBone Black.
 
-[ -z "$BBB_ADDRESS" ] && BBB_ADDRESS="root@192.168.7.2"
+SCRIPTDIR=$(dirname "$0")
+[ -z $SCRIPTDIR ] && SCRIPTDIR="./" || SCRIPTDIR=$SCRIPTDIR/ 
+. $SCRIPTDIR.bela_common || { echo "You must be in Bela/scripts to run these scripts" | exit 1; }  
 
 echo "Shutting down the BeagleBone Black..."
 ssh $BBB_ADDRESS "halt"